Index: extensions/PHP_Optimisateur/include/functions.php
===================================================================
--- extensions/PHP_Optimisateur/include/functions.php	(revision 10479)
+++ extensions/PHP_Optimisateur/include/functions.php	(revision 12819)
@@ -3,343 +3,343 @@
 // Affiche les textes localisés
 function l10n($code) {
-	global $Lang;
-	if (isset($Lang[$code])) {
-		$args = func_get_args();
-		if (count($args) > 1) {
-			array_shift($args);
-			return vsprintf($Lang[$code], $args);
-		} else {
-			return $Lang[$code];
-		}
-	} else {
-		return $code;
-	}
+  global $Lang;
+  if (isset($Lang[$code])) {
+    $args = func_get_args();
+    if (count($args) > 1) {
+      array_shift($args);
+      return vsprintf($Lang[$code], $args);
+    } else {
+      return $Lang[$code];
+    }
+  } else {
+    return $code;
+  }
 }
 
 // Retourne la langue de l'utilisateur et les langues installées
 function GetLanguage() {
-	// tableau avec les langues installées
-	$dh = opendir('language');
-	while ($file = readdir($dh)) {
-		if ($file !== '.' && $file !== '..' && is_dir('language/'.$file)) {
-			$name = (file_exists('language/'.$file.'/iso.txt')) ? file_get_contents('language/'.$file.'/iso.txt') : $file;
-			$languages[$file] = $name;
-		}
-	}
-	closedir($dh);
-	
-	// recherche du paramètre get ou session, ou langue du navigateur
-	if (isset($_GET['Lang'])) {
-		$user_lang = $_GET['Lang'];
-	} else if (isset($_SESSION['Lang']) AND $_SESSION['Lang'] != NULL) {
-		$user_lang = $_SESSION['Lang'];
-	} else {
-		$user_lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'],0,2);
-	}
-	
-	// si langue navigateur cherche une correspondance dans la tableau
-	if (strlen($user_lang) == 2) {
-		foreach (array_keys($languages) as $lang) {
-			if ($user_lang == substr($lang,0,2)) {
-				$user_lang = $lang;
-				break;
-			}
-		}
-	}
-	
-	// si pas de correspondance OU get faux, langue par défaut
-	if (!in_array($user_lang, array_keys($languages))) {
-		$user_lang = 'en_UK';
-	}
-	
-	$_SESSION['Lang'] = $user_lang;
-	return array('user_lang' => $_SESSION['Lang'], 'languages' => $languages);
+  // tableau avec les langues installées
+  $dh = opendir('language');
+  while ($file = readdir($dh)) {
+    if ($file !== '.' && $file !== '..' && is_dir('language/'.$file)) {
+      $name = (file_exists('language/'.$file.'/iso.txt')) ? file_get_contents('language/'.$file.'/iso.txt') : $file;
+      $languages[$file] = $name;
+    }
+  }
+  closedir($dh);
+  
+  // recherche du paramètre get ou session, ou langue du navigateur
+  if (isset($_GET['Lang'])) {
+    $user_lang = $_GET['Lang'];
+  } else if (isset($_SESSION['Lang']) AND $_SESSION['Lang'] != NULL) {
+    $user_lang = $_SESSION['Lang'];
+  } else {
+    $user_lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'],0,2);
+  }
+  
+  // si langue navigateur cherche une correspondance dans la tableau
+  if (strlen($user_lang) == 2) {
+    foreach (array_keys($languages) as $lang) {
+      if ($user_lang == substr($lang,0,2)) {
+        $user_lang = $lang;
+        break;
+      }
+    }
+  }
+  
+  // si pas de correspondance OU get faux, langue par défaut
+  if (!in_array($user_lang, array_keys($languages))) {
+    $user_lang = 'en_UK';
+  }
+  
+  $_SESSION['Lang'] = $user_lang;
+  return array('user_lang' => $_SESSION['Lang'], 'languages' => $languages);
 }
 
 // Supprime tous les caractères speciaux
 function delete_special_car($string) {
-	global $CONF;
-	
-	$search = array ('#[éèêë]#','#[ÊËÈÉ]#','#[àâäã]#','#[ÂÄÁÀ]#','#[îïíì]#','#[ÎÏÍÌ]#','#[ûùüúµ]#','#[ÛÙÚÜ]#','#[ôóòõö]#','#[ÓÒÖÔÕ]#','#[ç]#','#[Ç]#','#[ñ]#','#[Ñ]#','#[ýÿ]#','#[Ý]#','#[ \&\!\?\#\"\(\)\{\}\[\]\=\+\~\%]#','#[^a-zA-Z0-9_\.\-]#');
-	$replace = array ('e','E','a','A','i','I','u','U','o','O','c','C',',n','N','y','Y','_','');
-	
-	if ($CONF['renameORNOT']) {
-		return preg_replace($search, $replace, $string);
-	} else {
-		return str_replace(array('%','$',' '), '_', $string);
-	}
+  global $CONF;
+  
+  $search = array ('#[éèêë]#','#[ÊËÈÉ]#','#[àâäã]#','#[ÂÄÁÀ]#','#[îïíì]#','#[ÎÏÍÌ]#','#[ûùüúµ]#','#[ÛÙÚÜ]#','#[ôóòõö]#','#[ÓÒÖÔÕ]#','#[ç]#','#[Ç]#','#[ñ]#','#[Ñ]#','#[ýÿ]#','#[Ý]#','#[ \&\!\?\#\"\(\)\{\}\[\]\=\+\~\%]#','#[^a-zA-Z0-9_\.\-]#');
+  $replace = array ('e','E','a','A','i','I','u','U','o','O','c','C',',n','N','y','Y','_','');
+  
+  if ($CONF['renameORNOT']) {
+    return preg_replace($search, $replace, $string);
+  } else {
+    return str_replace(array('%','$',' '), '_', $string);
+  }
 }
 
 // Teste si un dossier est vide
 function is_dir_empty($dir) {
-	$array = scandir($dir);
-	if (count($array) > 2) {
-		return false;
-	} else {
-		return true;
-	}
+  $array = scandir($dir);
+  if (count($array) > 2) {
+    return false;
+  } else {
+    return true;
+  }
 }
 
 // Supprime un repertoire non-vide
 function rrmdir($dir) {
-	$dir = rtrim($dir, '/');
-	$objects = scandir($dir);
-	
-	foreach ($objects as $object) {
-		if ($object !== '.' && $object !== '..') {
-			$path = $dir.'/'.$object;
-			if (filetype($path) == 'dir') rrmdir($path); 
-			else unlink($path);
-		}
-	}
-
-	rmdir($dir);
+  $dir = rtrim($dir, '/');
+  $objects = scandir($dir);
+  
+  foreach ($objects as $object) {
+    if ($object !== '.' && $object !== '..') {
+      $path = $dir.'/'.$object;
+      if (filetype($path) == 'dir') rrmdir($path); 
+      else unlink($path);
+    }
+  }
+
+  rmdir($dir);
 } 
 
 // Parcours récursivement un dossier
 function recursive_readdir($dir, $array, $dirs=false) {
-	# si $dirs=true liste les dossiers plutot que les fichiers
-	global ${$array}; // Charge la tableau pour la sortie, déclaré à l'exterieur à cause de l'appel recursif de la fonction
-	$dir = rtrim($dir, '/');
-	$dh = opendir($dir);
-	
-	while (($file = readdir($dh)) !== false ) {
-		if ($file !== '.' && $file !== '..') {
-			$path = $dir.'/'.$file;
-			if (is_dir($path)) {
-				if($dirs) ${$array}[] = $path;
-				recursive_readdir($path, $array, $dirs);
-			} else {
-				if(!$dirs) ${$array}[] = $path;
-			}
-		}
-	}
-	closedir($dh);
+  # si $dirs=true liste les dossiers plutot que les fichiers
+  global ${$array}; // Charge la tableau pour la sortie, déclaré à l'exterieur à cause de l'appel recursif de la fonction
+  $dir = rtrim($dir, '/');
+  $dh = opendir($dir);
+  
+  while (($file = readdir($dh)) !== false ) {
+    if ($file !== '.' && $file !== '..') {
+      $path = $dir.'/'.$file;
+      if (is_dir($path)) {
+        if($dirs) ${$array}[] = $path;
+        recursive_readdir($path, $array, $dirs);
+      } else {
+        if(!$dirs) ${$array}[] = $path;
+      }
+    }
+  }
+  closedir($dh);
 }
 
 // Parse le fichier de configuration
 function XMLParse($xml) {
-	$content = array();
-	foreach ($xml as $nom => $elem) { 
-		if (trim($elem) == '' AND $elem != '') { 
-			$content[$nom] = XMLParse($elem->children()); 
-		} else { 
-			$content[$nom] = utf8_encode(utf8_decode($elem));
-		}
-	}
-	return $content;
+  $content = array();
+  foreach ($xml as $nom => $elem) { 
+    if (trim($elem) == '' AND $elem != '') { 
+      $content[$nom] = XMLParse($elem->children()); 
+    } else { 
+      $content[$nom] = utf8_encode(utf8_decode($elem));
+    }
+  }
+  return $content;
 }
 
 // Crée le fichier de configuration
 function XMLCreate($array, $level=0) {
-	$content = null;
-	foreach ($array as $nom => $elem) {
-		if (is_array($elem)) {
-			for($i=0;$i<=$level;$i++) $content .= "\t";
-			$content .= '<'.$nom.'>'."\n";
-			$content .= XMLCreate($elem, $level+1);
-			for($i=0;$i<=$level;$i++) $content .= "\t";
-			$content .= '</'.$nom.'>'."\n";
-		} else {
-			for($i=0;$i<=$level;$i++) $content .= "\t";
-			$content .= '<'.$nom.'>'.$elem.'</'.$nom.'>'."\n";
-		}
-	}
-	return $content;
+  $content = null;
+  foreach ($array as $nom => $elem) {
+    if (is_array($elem)) {
+      for($i=0;$i<=$level;$i++) $content .= "  ";
+      $content .= '<'.$nom.'>'."\n";
+      $content .= XMLCreate($elem, $level+1);
+      for($i=0;$i<=$level;$i++) $content .= "  ";
+      $content .= '</'.$nom.'>'."\n";
+    } else {
+      for($i=0;$i<=$level;$i++) $content .= "  ";
+      $content .= '<'.$nom.'>'.$elem.'</'.$nom.'>'."\n";
+    }
+  }
+  return $content;
 }
 
 // Charge la configuration
 function load_config($file) {
-	$config = simplexml_load_file($file);
-	$config = XMLParse($config);
-	$config = array_settype($config);
-	return $config;
+  $config = simplexml_load_file($file);
+  $config = XMLParse($config);
+  $config = array_settype($config);
+  return $config;
 }
 
 // Convertit les booléens, entiers et flotants d'un tableau de 'string'
 function array_settype($array) {
-	foreach ($array as $key => $value) {
-		if (is_array($value)) {
-			$array[$key] = array_settype($value);
-		} else {
-			if ($value === 'true') {
-				$array[$key] = true;		
-			} else if ($value === 'false') {
-				$array[$key] = false;	
-			} else if ($value == null) {
-				// rien à faire ^^
-			} else if (preg_match('#^([0-9]*)$#', $value)) {
-				settype($array[$key], 'int');		
-			} else if (preg_match('#^([0-9]*)(\.)([0-9]*)$#', $value)) {
-				settype($array[$key], 'float');		
-			}
-		}
-	}
-		
-	return $array;
+  foreach ($array as $key => $value) {
+    if (is_array($value)) {
+      $array[$key] = array_settype($value);
+    } else {
+      if ($value === 'true') {
+        $array[$key] = true;
+      } else if ($value === 'false') {
+        $array[$key] = false;
+      } else if ($value == null) {
+        // rien à faire ^^
+      } else if (preg_match('#^([0-9]*)$#', $value)) {
+        settype($array[$key], 'int');
+      } else if (preg_match('#^([0-9]*)(\.)([0-9]*)$#', $value)) {
+        settype($array[$key], 'float');
+      }
+    }
+  }
+    
+  return $array;
 }
 
 // Booléen vers français ou texte
 function bool_to_string($string, $just_echo=0) {
-	global $Lang;
-	# $just_echo pour pouvoir afficher un booléen tel quel (echo true; n'affiche rien)
-	if (is_bool($string)) {
-		if ($string) {
-			if ($just_echo) return 'true';
-			else return l10n('yes');
-		} else {
-			if ($just_echo) return 'false';
-			else return l10n('no');
-		}
-	} else {
-		return $string;
-	}
+  global $Lang;
+  # $just_echo pour pouvoir afficher un booléen tel quel (echo true; n'affiche rien)
+  if (is_bool($string)) {
+    if ($string) {
+      if ($just_echo) return 'true';
+      else return l10n('yes');
+    } else {
+      if ($just_echo) return 'false';
+      else return l10n('no');
+    }
+  } else {
+    return $string;
+  }
 }
 
 // Converti une chaine de config (param:value;param:value[;]) en tableau associatif
 function ExplodeString($string, $sep1=';', $sep2=':') {
-	$string = preg_replace('#[;]$#', '', $string);
-	$result = array();
-	$a = explode($sep1, $string);
-	
-	foreach ($a as $s) {
-	   $v = explode($sep2, $s);
-	   $result[$v[0]] = $v[1];
-	}
-	return $result;
+  $string = preg_replace('#[;]$#', '', $string);
+  $result = array();
+  $a = explode($sep1, $string);
+  
+  foreach ($a as $s) {
+     $v = explode($sep2, $s);
+     $result[$v[0]] = $v[1];
+  }
+  return $result;
 }
 
 // Converti un tableau associatif en chaine de config (param:value;param:value;)
 function ImplodeArray($array, $sep1=';', $sep2=':') {
-	$result = null;
-	foreach ($array as $key => $value) {
-		$result .= $key.$sep2.$value.$sep1;
-	}
-	return $result;
+  $result = null;
+  foreach ($array as $key => $value) {
+    $result .= $key.$sep2.$value.$sep1;
+  }
+  return $result;
 }
 
 // Convertit les couleurs 'numériques' et gère les 0 manquants
 function nice_hex_color($hex) {
-	$hex = strval($hex);
-	for ($i=strlen($hex); $i<6; $i++) {
-		$hex = '0'.$hex;
-	}
-	return $hex;
+  $hex = strval($hex);
+  for ($i=strlen($hex); $i<6; $i++) {
+    $hex = '0'.$hex;
+  }
+  return $hex;
 }
 
 // Converti une couleur HEX et RGB
 function hex2RGB($hexStr, $returnAsString = false, $seperator = ',') {
-	$hexStr = preg_replace("/[^0-9A-Fa-f]/", '', $hexStr); // Gets a proper hex string
-	
-	if (strlen($hexStr) == 6) { //If a proper hex code, convert using bitwise operation. No overhead... faster
-		$colorVal = hexdec($hexStr);
-		$rgbArray['r'] = 0xFF & ($colorVal >> 0x10);
-		$rgbArray['g'] = 0xFF & ($colorVal >> 0x8);
-		$rgbArray['b'] = 0xFF & $colorVal;
-	} elseif (strlen($hexStr) == 3) { //if shorthand notation, need some string manipulations
-		$rgbArray['r'] = hexdec(str_repeat(substr($hexStr, 0, 1), 2));
-		$rgbArray['g'] = hexdec(str_repeat(substr($hexStr, 1, 1), 2));
-		$rgbArray['b'] = hexdec(str_repeat(substr($hexStr, 2, 1), 2));
-	} else {
-		return false; //Invalid hex color code
-	}
-	
-	return $returnAsString ? implode($seperator, $rgbArray) : $rgbArray; // returns the rgb string or the associative array
+  $hexStr = preg_replace("/[^0-9A-Fa-f]/", '', $hexStr); // Gets a proper hex string
+  
+  if (strlen($hexStr) == 6) { //If a proper hex code, convert using bitwise operation. No overhead... faster
+    $colorVal = hexdec($hexStr);
+    $rgbArray['r'] = 0xFF & ($colorVal >> 0x10);
+    $rgbArray['g'] = 0xFF & ($colorVal >> 0x8);
+    $rgbArray['b'] = 0xFF & $colorVal;
+  } elseif (strlen($hexStr) == 3) { //if shorthand notation, need some string manipulations
+    $rgbArray['r'] = hexdec(str_repeat(substr($hexStr, 0, 1), 2));
+    $rgbArray['g'] = hexdec(str_repeat(substr($hexStr, 1, 1), 2));
+    $rgbArray['b'] = hexdec(str_repeat(substr($hexStr, 2, 1), 2));
+  } else {
+    return false; //Invalid hex color code
+  }
+  
+  return $returnAsString ? implode($seperator, $rgbArray) : $rgbArray; // returns the rgb string or the associative array
 }
 
 // Verifie si une chaine est un nombre décimal (plus strict que is_numeric qui fonctionne avec les hexadecimaux)
 function is_decimal($num) {
-	if((is_numeric($num) === true AND (float)$num == $num) OR $num === '0') {
-		return true;
-	} else {
-		return false;
-	}
+  if((is_numeric($num) === true AND (float)$num == $num) OR $num === '0') {
+    return true;
+  } else {
+    return false;
+  }
 }
 
 // Charge le fichier de langue d'un plugin
 function load_plugin_lang($plugin_id) {
-	global $CONF, $Lang;
-	if (file_exists('plugins/'.$plugin_id.'/language/'.$CONF['user_lang'].'.php')) {
-		include('plugins/'.$plugin_id.'/language/'.$CONF['user_lang'].'.php');
-	} else {
-		include('plugins/'.$plugin_id.'/language/en_UK.php');
-	}
+  global $CONF, $Lang;
+  if (file_exists('plugins/'.$plugin_id.'/language/'.$CONF['user_lang'].'.php')) {
+    include('plugins/'.$plugin_id.'/language/'.$CONF['user_lang'].'.php');
+  } else {
+    include('plugins/'.$plugin_id.'/language/en_UK.php');
+  }
 }
 
 // fonction nconvert avec gestion du log
 function nconvert($param, $log=true) {
-	global $LOG;
-
-	exec('include\nconvert.exe '. $param .' 2>&1', $out);
-	
-	if ($log) {
-		for ($i=0; $i<=3; $i++)
-			unset($out[$i]);
-		if (count($out)) $LOG[] = array_values($out);
-		//$LOG[] = "\t" . $param;
-	} else {
-		return $out;
-	}
+  global $LOG;
+
+  exec('include\nconvert.exe '. $param .' 2>&1', $out);
+  
+  if ($log) {
+    for ($i=0; $i<=3; $i++)
+      unset($out[$i]);
+    if (count($out)) $LOG[] = array_values($out);
+    //$LOG[] = "  " . $param;
+  } else {
+    return $out;
+  }
 }
 
 // fonction mkdir avec gestion du log
 function mkdir_log($dir) {
-	global $LOG;
-	mkdir($dir, 0777, true);
-	$LOG[] = 'Dir '.$dir.' created';
+  global $LOG;
+  mkdir($dir, 0777, true);
+  $LOG[] = 'Dir '.$dir.' created';
 }
 
 // fonction copy avec gestion du log
 function copy_log($src, $dest) {
-	global $LOG;
-	copy($src, $dest);
-	$LOG[] = 'Copy '.$src.' to '.$dest;
+  global $LOG;
+  copy($src, $dest);
+  $LOG[] = 'Copy '.$src.' to '.$dest;
 }
 
 // fonction rename avec gestion du log
 function rename_log($path, $new_path, $move=false) {
-	global $LOG;
-	rename($path, $new_path);
-	if ($move)
-		$LOG[] = 'Move '.$path.' to '.$new_path;
-	else
-		$LOG[] = 'Rename '.$path.' into '.$new_path;
+  global $LOG;
+  rename($path, $new_path);
+  if ($move)
+    $LOG[] = 'Move '.$path.' to '.$new_path;
+  else
+    $LOG[] = 'Rename '.$path.' into '.$new_path;
 }
 
 // enregistre le log dans un fichier
 function print_log($nb, $s) {
-	global $APPversion, $LOG;
-	
-	$config = file_get_contents('config.xml');
-	
-	$string = 
-		"PHP Optimisateur " . $APPversion . "\r\n".
-		date('r') . "\r\n".
-		$nb . " files in " . $s . " seconds" . "\r\n\r\n".
-		
-		$config . "\r\n\r\n";
-	
-	foreach ($LOG as $event) {
-		if (is_array($event)) {
-			$string .= implode("\r\n", $event) . "\r\n";
-		} else {
-			$string .= $event . "\r\n";
-		}
-	}
-	
-	if (!file_exists('logs')) {
-		mkdir('logs', 0777, true);
-	}
-	
-	$filename = 'log_' . date('Y-m-d_H-i-s') . '.txt';
-	file_put_contents('logs/'.$filename, $string);
-	return $filename;
+  global $APPversion, $LOG;
+  
+  $config = file_get_contents('config.xml');
+  
+  $string = 
+    "PHP Optimisateur " . $APPversion . "\r\n".
+    date('r') . "\r\n".
+    $nb . " files in " . $s . " seconds" . "\r\n\r\n".
+    
+    $config . "\r\n\r\n";
+  
+  foreach ($LOG as $event) {
+    if (is_array($event)) {
+      $string .= implode("\r\n", $event) . "\r\n";
+    } else {
+      $string .= $event . "\r\n";
+    }
+  }
+  
+  if (!file_exists('logs')) {
+    mkdir('logs', 0777, true);
+  }
+  
+  $filename = 'log_' . date('Y-m-d_H-i-s') . '.txt';
+  file_put_contents('logs/'.$filename, $string);
+  return $filename;
 }
 
 // case insentive version of in_array
 function in_arrayi($needle, $haystack) {
-	$needle = strtolower($needle);
-	$haystack = array_map('strtolower', $haystack);
-	return in_array($needle, $haystack);
+  $needle = strtolower($needle);
+  $haystack = array_map('strtolower', $haystack);
+  return in_array($needle, $haystack);
 }
 
Index: extensions/PHP_Optimisateur/include/main.php
===================================================================
--- extensions/PHP_Optimisateur/include/main.php	(revision 10479)
+++ extensions/PHP_Optimisateur/include/main.php	(revision 12819)
@@ -2,6 +2,6 @@
 // Si mode silencieux vidage automatique du dossier de sortie
 if ($CONF['silentORNOT'] == 'erase') {
-	@rrmdir($CONF['DIRsortie']);
-	@mkdir($CONF['DIRsortie']);
+  @rrmdir($CONF['DIRsortie']);
+  @mkdir($CONF['DIRsortie']);
 }
 
@@ -10,22 +10,22 @@
 // Les caractères '%' et '$' sont systématiquement échappés, ca génère des bugs dans les noms de fichiers
 function recursive_delete_special_car($dir) {
-	$dir = rtrim($dir, '/');
-	$dh = opendir($dir);
-	
-	while (($file = readdir($dh)) !== false ) {
-		if ($file !== '.' && $file !== '..') {
-			$path = $dir.'/'.$file;
-			$new_path = $dir.'/'.delete_special_car($file);
-			
-			if ($path != $new_path) {
-				rename_log($path, $new_path);
-			}
-			
-			if (is_dir($new_path)) {
-				recursive_delete_special_car($new_path);
-			}
-		}
-	}
-	closedir($dh);
+  $dir = rtrim($dir, '/');
+  $dh = opendir($dir);
+  
+  while (($file = readdir($dh)) !== false ) {
+    if ($file !== '.' && $file !== '..') {
+      $path = $dir.'/'.$file;
+      $new_path = $dir.'/'.delete_special_car($file);
+      
+      if ($path != $new_path) {
+        rename_log($path, $new_path);
+      }
+      
+      if (is_dir($new_path)) {
+        recursive_delete_special_car($new_path);
+      }
+    }
+  }
+  closedir($dh);
 }
 
@@ -38,13 +38,13 @@
 
 if ($CONF['copyONhd']) {
-	$CONF['copyHD'] = '-text_font "'.$CONF['copyFONT'].'" '.$CONF['DIMnormal']*$CONF['copySIZE'].' -text_color '.$CONF['copyCOLOR'].' -text_flag '.$CONF['copyPOS'].' -text_pos 0 0 -text "'.$CONF['copyright'].'"';
+  $CONF['copyHD'] = '-text_font "'.$CONF['copyFONT'].'" '.$CONF['DIMnormal']*$CONF['copySIZE'].' -text_color '.$CONF['copyCOLOR'].' -text_flag '.$CONF['copyPOS'].' -text_pos 0 0 -text "'.$CONF['copyright'].'"';
 } else {
-	$CONF['copyHD'] = null;
+  $CONF['copyHD'] = null;
 }
 
 if ($CONF['copyONnormal']) {
-	$CONF['copyNormal'] = '-text_font "'.$CONF['copyFONT'].'" '.$CONF['DIMnormal']*$CONF['copySIZE'].' -text_color '.$CONF['copyCOLOR'].' -text_flag '.$CONF['copyPOS'].' -text_pos 0 0 -text "'.$CONF['copyright'].'"';
+  $CONF['copyNormal'] = '-text_font "'.$CONF['copyFONT'].'" '.$CONF['DIMnormal']*$CONF['copySIZE'].' -text_color '.$CONF['copyCOLOR'].' -text_flag '.$CONF['copyPOS'].' -text_pos 0 0 -text "'.$CONF['copyright'].'"';
 } else {
-	$CONF['copyNormal'] = null;
+  $CONF['copyNormal'] = null;
 }
 
@@ -55,7 +55,7 @@
 ### Plugins avant execution ###
 foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
-	if ($plugin_config['mode'] == 'Before' AND $plugin_config['active']) {
-		include('plugins/'.$plugin_id.'/main.php');
-	}
+  if ($plugin_config['mode'] == 'Before' AND $plugin_config['active']) {
+    include('plugins/'.$plugin_id.'/main.php');
+  }
 }
 
@@ -71,73 +71,73 @@
 // Boucle sur tous les fichiers
 for ($i=0; $i<count($FilesSource); $i++) {
-	// Découpe le nom de fichier : dossier/fichier/extension
-	preg_match('#^(.*)/(.*)\.([a-z0-9]{2,4})$#', $FilesSource[$i], $matches);
-	$file['folder_src'] = $matches[1].'/'; // dossier d'entrée
-	$file['folder_out'] = str_replace($CONF['DIRsource'], $CONF['DIRsortie'], $file['folder_src']); // dossier de sortie
-	$file['name'] = $matches[2]; // nom final
-	$file['ext'] = $matches[3]; // extension orginale
-			
-	// Crée les sous-dossiers de sortie & 'pwg_high' & 'thumbnail'
-	if (!file_exists($file['folder_out'].'pwg_high') AND $CONF['DIRhighORNOT']) {
-		mkdir_log($file['folder_out'].'pwg_high');
-	}
-	if (!file_exists($file['folder_out'].'thumbnail')) {
-		mkdir_log($file['folder_out'].'thumbnail');
-	}
-	
-	if (!in_arrayi($file['ext'], $CONF['allowedExt'])) {
-		$BlockAll['main'] = true;
-		$LOG[] = 'Not image file : '.$FilesSource[$i];
-	}
-	
-	if (!isset($BlockAll)) {
-		// Informations sur le fichier
-		exec('include\nconvert.exe -info "'.$FilesSource[$i].'"', $FileInfos);
-		
-		for ($m=0; $m<=5; $m++) {
-			unset($FileInfos[$m]);
-		}
-		foreach ($FileInfos as $key) {
-			if ($key != '') {
-				$a = explode(':', $key);
-				$FileInfos[trim($a[0])] = trim($a[1]);
-			}
-		}
-	}
-		
-	// Plugins pendant l'execution, haute priorité
-	foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
-		if ($plugin_config['mode'] == 'ProcessHigh' AND $plugin_config['active']) {
-			include('plugins/'.$plugin_id.'/main.php');
-		}
-	}
-	
-	// Plugins pendant l'execution
-	foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
-		if ($plugin_config['mode'] == 'Process' AND $plugin_config['active']) {
-			include('plugins/'.$plugin_id.'/main.php');
-		}
-	}
-	
-	// Compresse les fichiers dans le dossier de sortie
-	if (!isset($BlockNormal) AND !isset($BlockAll)) { 
-		nconvert('-q '.$CONF['Qnormal'].' -out jpeg -o "'.$file['folder_out'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
-	}
-	if (!isset($BlockThumbnail) AND !isset($BlockAll)) { 
-		nconvert('-q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
-	}
-	if (!isset($BlockHigh) AND $CONF['DIRhighORNOT'] AND !isset($BlockAll)) {
-		if ($CONF['DIMhdORNOT']) {
-			nconvert('-q '.$CONF['Qhd'].' -out jpeg -o "'.$file['folder_out'].'pwg_high/'.$file['name'].'.jpg" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
-		} else if (strtolower($file['ext']) != 'jpg') {
-			nconvert('-q '.$CONF['Qhd'].' -out jpeg -o "'.$file['folder_out'].'pwg_high/'.$file['name'].'.jpg" "'.$FilesSource[$i].'"');
-		} else {
-			copy_log($FilesSource[$i], $file['folder_out'].'pwg_high/'.$file['name'].'.jpg');
-		}
-	}
-	
-	// Réinitialise les variables
-	unset($file, $FileInfos, $BlockNormal, $BlockThumbnail, $BlockHigh, $BlockAll);
-	$LOG[] = "\r\n";
+  // Découpe le nom de fichier : dossier/fichier/extension
+  preg_match('#^(.*)/(.*)\.([a-z0-9]{2,4})$#i', $FilesSource[$i], $matches);
+  $file['folder_src'] = $matches[1].'/'; // dossier d'entrée
+  $file['folder_out'] = str_replace($CONF['DIRsource'], $CONF['DIRsortie'], $file['folder_src']); // dossier de sortie
+  $file['name'] = $matches[2]; // nom final
+  $file['ext'] = $matches[3]; // extension orginale
+      
+  // Crée les sous-dossiers de sortie & 'pwg_high' & 'thumbnail'
+  if (!file_exists($file['folder_out'].'pwg_high') AND $CONF['DIRhighORNOT']) {
+    mkdir_log($file['folder_out'].'pwg_high');
+  }
+  if (!file_exists($file['folder_out'].'thumbnail')) {
+    mkdir_log($file['folder_out'].'thumbnail');
+  }
+  
+  if (!in_arrayi($file['ext'], $CONF['allowedExt'])) {
+    $BlockAll['main'] = true;
+    $LOG[] = 'Not image file : '.$FilesSource[$i];
+  }
+  
+  if (!isset($BlockAll)) {
+    // Informations sur le fichier
+    exec('include\nconvert.exe -info "'.$FilesSource[$i].'"', $FileInfos);
+    
+    for ($m=0; $m<=5; $m++) {
+      unset($FileInfos[$m]);
+    }
+    foreach ($FileInfos as $key) {
+      if ($key != '') {
+        $a = explode(':', $key);
+        $FileInfos[trim($a[0])] = trim($a[1]);
+      }
+    }
+  }
+    
+  // Plugins pendant l'execution, haute priorité
+  foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
+    if ($plugin_config['mode'] == 'ProcessHigh' AND $plugin_config['active']) {
+      include('plugins/'.$plugin_id.'/main.php');
+    }
+  }
+  
+  // Plugins pendant l'execution
+  foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
+    if ($plugin_config['mode'] == 'Process' AND $plugin_config['active']) {
+      include('plugins/'.$plugin_id.'/main.php');
+    }
+  }
+  
+  // Compresse les fichiers dans le dossier de sortie
+  if (!isset($BlockNormal) AND !isset($BlockAll)) { 
+    nconvert('-q '.$CONF['Qnormal'].' -out jpeg -o "'.$file['folder_out'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
+  }
+  if (!isset($BlockThumbnail) AND !isset($BlockAll)) { 
+    nconvert('-q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
+  }
+  if (!isset($BlockHigh) AND $CONF['DIRhighORNOT'] AND !isset($BlockAll)) {
+    if ($CONF['DIMhdORNOT']) {
+      nconvert('-q '.$CONF['Qhd'].' -out jpeg -o "'.$file['folder_out'].'pwg_high/'.$file['name'].'.jpg" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
+    } else if (strtolower($file['ext']) != 'jpg') {
+      nconvert('-q '.$CONF['Qhd'].' -out jpeg -o "'.$file['folder_out'].'pwg_high/'.$file['name'].'.jpg" "'.$FilesSource[$i].'"');
+    } else {
+      copy_log($FilesSource[$i], $file['folder_out'].'pwg_high/'.$file['name'].'.jpg');
+    }
+  }
+  
+  // Réinitialise les variables
+  unset($file, $FileInfos, $BlockNormal, $BlockThumbnail, $BlockHigh, $BlockAll);
+  $LOG[] = "\r\n";
 }
 
@@ -148,9 +148,9 @@
 
 foreach($DirsSortie as $dir) {
-	if (is_dir_empty($dir)) {
-		rmdir($dir);
-	} else if ($CONF['indexORNOT']) {
-		copy_log('include/index.php', $dir.'/index.php');
-	}
+  if (is_dir_empty($dir)) {
+    rmdir($dir);
+  } else if ($CONF['indexORNOT']) {
+    copy_log('include/index.php', $dir.'/index.php');
+  }
 }
 
@@ -160,7 +160,7 @@
 ### Plugins après execution ###
 foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
-	if ($plugin_config['mode'] == 'After' AND $plugin_config['active']) {
-		include('plugins/'.$plugin_id.'/main.php');
-	}
+  if ($plugin_config['mode'] == 'After' AND $plugin_config['active']) {
+    include('plugins/'.$plugin_id.'/main.php');
+  }
 }
 ?>
Index: extensions/PHP_Optimisateur/include/save_config.php
===================================================================
--- extensions/PHP_Optimisateur/include/save_config.php	(revision 10479)
+++ extensions/PHP_Optimisateur/include/save_config.php	(revision 12819)
@@ -1,5 +1,9 @@
 <?php
 // Quelques traitements
-$_POST['copyPOS'] = implode('-', $_POST['copyPOS']);
+if ($_POST['copyPOS'][0] == 'center' and $_POST['copyPOS'][1] == 'center') {
+  $_POST['copyPOS'] = 'center';
+} else {
+  $_POST['copyPOS'] = implode('-', $_POST['copyPOS']);
+}
 $_POST['copyCOLOR'] = str_replace('#', null, $_POST['copyCOLOR']);
 $_POST['prefixe_mini'] = delete_special_car($_POST['prefixe_mini']);
@@ -9,36 +13,36 @@
 // Vérifications
 if (!is_decimal($_POST['Qhd']) OR $_POST['Qhd'] > 100) {
-	$_POST['Qhd'] = 100;
-	$ERRORS['conf'][] = array(l10n('Qhd'), 'must_be_integer_100');
+  $_POST['Qhd'] = 100;
+  $ERRORS['conf'][] = array(l10n('Qhd'), 'must_be_integer_100');
 }
 if (!is_decimal($_POST['Qnormal']) OR $_POST['Qnormal'] > 100) {
-	$_POST['Qnormal'] = 100;
-	$ERRORS['conf'][] = array(l10n('Qnormal'), 'must_be_integer_100');
+  $_POST['Qnormal'] = 100;
+  $ERRORS['conf'][] = array(l10n('Qnormal'), 'must_be_integer_100');
 }
 if (!is_decimal($_POST['Qthumbnail']) OR $_POST['Qthumbnail'] > 100) {
-	$_POST['Qthumbnail'] = 100;
-	$ERRORS['conf'][] = array(l10n('Qthumbnail'), 'must_be_integer_100');
+  $_POST['Qthumbnail'] = 100;
+  $ERRORS['conf'][] = array(l10n('Qthumbnail'), 'must_be_integer_100');
 }
 if (!is_decimal($_POST['DIMhd'])) {
-	$_POST['DIMhd'] = 2560;
-	$ERRORS['conf'][] = array(l10n('DIMhd'), 'must_be_integer');
+  $_POST['DIMhd'] = 2560;
+  $ERRORS['conf'][] = array(l10n('DIMhd'), 'must_be_integer');
 }
 if (!is_decimal($_POST['DIMnormal']) OR $_POST['DIMnormal'] > $_POST['DIMhd']) {
-	$_POST['DIMnormal'] = 800;
-	$ERRORS['conf'][] = array(l10n('DIMnormal'), 'must_be_integer');
+  $_POST['DIMnormal'] = 800;
+  $ERRORS['conf'][] = array(l10n('DIMnormal'), 'must_be_integer');
 }
 if (!is_decimal($_POST['DIMthumbnail']) OR $_POST['DIMthumbnail'] > $_POST['DIMnormal']) {
-	$_POST['DIMthumbnail'] = 120;
-	$ERRORS['conf'][] = array(l10n('DIMthumbnail'), 'must_be_integer');
+  $_POST['DIMthumbnail'] = 120;
+  $ERRORS['conf'][] = array(l10n('DIMthumbnail'), 'must_be_integer');
 }
 if (!is_decimal($_POST['DPI'])) {
-	$_POST['DPI'] = 72;
-	$ERRORS['conf'][] = array(l10n('DPI'), 'must_be_integer');
+  $_POST['DPI'] = 72;
+  $ERRORS['conf'][] = array(l10n('DPI'), 'must_be_integer');
 }
 if (!is_decimal($_POST['copySIZE'])) {
-	$_POST['copySIZE'] = 0.05;
-	$ERRORS['conf'][] = array(l10n('copySIZE'), 'must_be_decimal');
+  $_POST['copySIZE'] = 0.05;
+  $ERRORS['conf'][] = array(l10n('copySIZE'), 'must_be_decimal');
 }
-	
+  
 
 // Plugins : supprime les plugins manquants & charge les actions de configuration
@@ -46,9 +50,9 @@
 
 foreach ($_POST['Plugins'] as $plugin_id => $plugin_config) {
-	if (isset($plugin_config['delete'])) {
-		unset($_POST['Plugins'][$plugin_id]);
-	} else if (file_exists('plugins/'.$plugin_id.'/setup.php')) {
-		include('plugins/'.$plugin_id.'/setup.php');
-	}
+  if (isset($plugin_config['delete'])) {
+    unset($_POST['Plugins'][$plugin_id]);
+  } else if (file_exists('plugins/'.$plugin_id.'/setup.php')) {
+    include('plugins/'.$plugin_id.'/setup.php');
+  }
 }
 
@@ -65,7 +69,7 @@
 
 if (!isset($ERRORS['conf'])) {
-	// header('Location:index.php');
-	$PAGE['header'] .= '<meta http-equiv="refresh" content="3;url=index.php">';
-	$PAGE['end'] .= '<div class="generic finish">'.l10n('Saved').'</div>';
+  // header('Location:index.php');
+  $PAGE['header'] .= '<meta http-equiv="refresh" content="2;url=index.php">';
+  $PAGE['end'] .= '<div class="generic finish">'.l10n('Saved').'</div>';
 }
 
